# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_RealParameter Class Reference

This inherited class from Parameter describes all
the parameters, which are characterized by a real
value.
.

`#include <Dynamic_RealParameter.hxx>`

Inheritance diagram for Dynamic_RealParameter:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_RealParameter (const Standard_CString aparameter)
| Creates a RealParameter with <aparameter> as name. .
Standard_EXPORT | Dynamic_RealParameter (const Standard_CString aparameter, const Standard_Real avalue)
| With the name of the Parameter <aparameter> and the real <avalue>, creates an instance of RealParameter. .
Standard_EXPORT Standard_Real | Value () const
| Returns the value of the parameter which is a real. .
Standard_EXPORT void | Value (const Standard_Real avalue)
| Sets the real <avalue> in <me>. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | thevalue

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_RealParameter::Dynamic_RealParameter | ( | const Standard_CString | aparameter | ) |

Standard_EXPORT Dynamic_RealParameter::Dynamic_RealParameter | ( | const Standard_CString | aparameter,
|  | const Standard_Real | avalue
| ) |

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_RealParameter::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT const Dynamic_RealParameter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT void Dynamic_RealParameter::Value | ( | const Standard_Real | avalue | ) |

Standard_EXPORT Standard_Real Dynamic_RealParameter::Value | ( |  | ) | const

## Field Documentation

Standard_Real Dynamic_RealParameter::thevalue `[private]`

The documentation for this class was generated from the following file:

- Dynamic_RealParameter.hxx